## com.typesafe.config.impl
Class ConfigImplUtil

    java.lang.Object
      com.typesafe.config.impl.ConfigImplUtil

    public final class ConfigImplUtil

extends java.lang.Object

This is public just for the "config" package to use, don't touch it

Constructor Summary
`ConfigImplUtil()`

Method Summary
`static ConfigException` `extractInitializerError(java.lang.ExceptionInInitializerError e)` This is public just for the "config" package to use, don't touch it!
`static java.lang.String` `joinPath(java.util.List<java.lang.String> elements)` This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.
`static java.lang.String` `joinPath(java.lang.String... elements)` This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.
`static ConfigOrigin` `readOrigin(java.io.ObjectInputStream in)`
`static java.lang.String` `renderJsonString(java.lang.String s)` This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.
`static java.util.List<java.lang.String>` `splitPath(java.lang.String path)` This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.
`static java.lang.String` `unicodeTrim(java.lang.String s)` This is public just for the "config" package to use, don't touch it!
`static void` `writeOrigin(java.io.ObjectOutputStream out, ConfigOrigin origin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigImplUtil

    public ConfigImplUtil()

Method Detail

### renderJsonString

    public static java.lang.String renderJsonString(java.lang.String s)

  This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.

### unicodeTrim

    public static java.lang.String unicodeTrim(java.lang.String s)

  This is public just for the "config" package to use, don't touch it!

### extractInitializerError

    public static ConfigException extractInitializerError(java.lang.ExceptionInInitializerError e)

  This is public just for the "config" package to use, don't touch it!

### joinPath

    public static java.lang.String joinPath(java.lang.String... elements)

  This is public ONLY for use by the "config" package, DO NOT USE this ABI may change. You can use the version in ConfigUtil instead.

### joinPath

    public static java.lang.String joinPath(java.util.List<java.lang.String> elements)

  This is public ONLY for use by the "config" package, DO NOT USE this ABI may change. You can use the version in ConfigUtil instead.

### splitPath

    public static java.util.List<java.lang.String> splitPath(java.lang.String path)

  This is public ONLY for use by the "config" package, DO NOT USE this ABI may change. You can use the version in ConfigUtil instead.

### readOrigin

    public static ConfigOrigin readOrigin(java.io.ObjectInputStream in)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOrigin

    public static void writeOrigin(java.io.ObjectOutputStream out,
                                   ConfigOrigin origin)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`